Bug 156044 - Profiler thread is started during 1st NetBeans startup
Profiler thread is started during 1st NetBeans startup
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
PC All
: P3 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
http://wiki.netbeans.org/FitnessViaWh...
: PERFORMANCE, TEST, VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-24 14:22 UTC by Alexander Kouznetsov
Modified: 2009-12-04 02:16 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kouznetsov 2008-12-24 14:22:00 UTC
Performance test report that the following thread is started during 1st NetBeans startup.

*** JFluid Separate Command Execution Thread
    java.lang.Object.wait(Native Method)
    java.lang.Object.wait(Object.java:474)
    org.netbeans.lib.profiler.ProfilerClient$SeparateCmdExecutionThread.run(ProfilerClient.java:101)

Please don't start this thread unless profiler is invoked.

More information about the test is available via the URL specified.
Comment 1 Jiri Sedlacek 2009-04-15 18:17:01 UTC
I'd say this is just a subset of what Issue 154324 tracks. Shouldn't be a duplicate?
Comment 2 Tomas Hurka 2009-04-15 18:22:11 UTC
I don't think so. 
Comment 3 Jaroslav Tulach 2009-09-18 14:57:41 UTC
Can you please reconsider your decision? I remember that in one conversation this has been mentioned as easy fix.
Comment 4 Tomas Hurka 2009-11-11 03:04:42 UTC
Fixed in profiler-main

changeset:   152577:b060d8b88953
user:        Tomas Hurka <thurka@netbeans.org>
date:        Wed Nov 11 11:00:05 2009 +0100
summary:     bugfix #156044, JFluid Separate Command Execution Thread is now started only when necessary


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo